package se.gawell.setrace.jersey.client;

import com.sun.jersey.api.client.Client;
import com.sun.jersey.api.client.config.ClientConfig;
import com.sun.jersey.api.client.filter.ClientFilter;

public class TracingJerseyClientFactory {
	
	public static final ClientFilter FILTER = new RequestTraceIdClientFilter();

	/**
	 * Add filters to client to make it a tracing client
	 * @param client
	 */
	public Client convertToTracingClient(Client client) {
		client.addFilter(FILTER);
		return client;
	}

	public Client create() {
		Client client = Client.create();
		return convertToTracingClient(client);
	}

	public Client create(ClientConfig clientConfig) {
		Client client = Client.create(clientConfig);
		return convertToTracingClient(client);
	}
	
}
